Thread
#prefect-community
    Robin Weiß

    Robin Weiß

    2 months ago
    Hey there! I am starting to go crazy trying to get the K8s setup to work 😅 I switched from self-hosted API to Cloud 2.0 since I just couldn’t make persistence with K8s PVCs work. Unfortunately, now I get the following error when I start my agent in K8s:
    prefect.exceptions.PrefectHTTPStatusError: Client error '422 Unprocessable Entity' for url '<https://api-beta.prefect.io/api/accounts/XXXXXXX/workspaces/XXXXXXXX/work_queues/name/k8s>'
    Response: {'exception_message': 'Invalid request received.', 'exception_detail': [{'loc': ['path', 'account_id'], 'msg': 'value is not a valid uuid', 'type': 'type_error.uuid'}, {'loc': ['path', 'workspace_id'], 'msg': 'value is not a valid uuid', 'type': 'type_error.uuid'}, {'loc': ['path', 'account_id'], 'msg': 'value is not a valid uuid', 'type': 'type_error.uuid'}, {'loc': ['path', 'workspace_id'], 'msg': 'value is not a valid uuid', 'type': 'type_error.uuid'}, {'loc': ['path', 'workspace_id'], 'msg': 'value is not a valid uuid', 'type': 'type_error.uuid'}], 'request_body': None}
    For more information check: <https://httpstatuses.com/422>
    An exception occurred.
    That error is just so weird that I have no ideas where to look. Any help would be greatly appreciated 😃 The agent is in a crashloop because of this. I have followed https://discourse.prefect.io/t/how-to-deploy-a-prefect-2-0-agent-to-a-local-kubernetes-cluster-and-connect-it-to-cloud-2-0-backend/979 exactly. The only difference is that I updated to
    prefecthq/prefect:2.0b7-python3.9
    because the b6 image gave me version incompatibility errors when using the CLI tool.
    Anna Geller

    Anna Geller

    2 months ago